com.rscja.deviceapi

## Enum RFIDWithISO14443A.TagType

- java.lang.Object
- - java.lang.Enum<RFIDWithISO14443A.TagType>
  - - com.rscja.deviceapi.RFIDWithISO14443A.TagType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RFIDWithISO14443A.TagType>
  Enclosing class:
    RFIDWithISO14443A

      public static enum RFIDWithISO14443A.TagType
      extends java.lang.Enum<RFIDWithISO14443A.TagType>

  M1标签类型定义
  M1 tag type definition
  Author:
    liuruifeng

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Mifare_DESFire`
    `Mifare_Mini`
    `Mifare_plus`
    `Mifare_plus_2k`
    `Mifare_plus_4k`
    `Mifare_Pro`
    `Mifare_ProX`
    `S50`
    `S70`
    `Ultra_light`
    `Unknow`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RFIDWithISO14443A.TagType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RFIDWithISO14443A.TagType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Ultra_light

          public static final RFIDWithISO14443A.TagType Ultra_light

    - #### S50

          public static final RFIDWithISO14443A.TagType S50

    - #### S70

          public static final RFIDWithISO14443A.TagType S70

    - #### Mifare_DESFire

          public static final RFIDWithISO14443A.TagType Mifare_DESFire

    - #### Mifare_Pro

          public static final RFIDWithISO14443A.TagType Mifare_Pro

    - #### Mifare_ProX

          public static final RFIDWithISO14443A.TagType Mifare_ProX

    - #### Mifare_plus

          public static final RFIDWithISO14443A.TagType Mifare_plus

    - #### Mifare_plus_4k

          public static final RFIDWithISO14443A.TagType Mifare_plus_4k

    - #### Mifare_plus_2k

          public static final RFIDWithISO14443A.TagType Mifare_plus_2k

    - #### Mifare_Mini

          public static final RFIDWithISO14443A.TagType Mifare_Mini

    - #### Unknow

          public static final RFIDWithISO14443A.TagType Unknow

  - ### Method Detail

    - #### values

          public static RFIDWithISO14443A.TagType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RFIDWithISO14443A.TagType c : RFIDWithISO14443A.TagType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RFIDWithISO14443A.TagType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null